Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class ConvMode

    java.lang.Object
      com.mindbright.terminal.tandem6530.ModeBase
          com.mindbright.terminal.tandem6530.ConvMode

All Implemented Interfaces:
  AsciiCodes, Mode

public class ConvMode
extends ModeBase

Field Summary

Fields inherited from class com.mindbright.terminal.tandem6530.ModeBase
`COLUMNS, ROWS`

Fields inherited from interface com.mindbright.terminal.tandem6530.AsciiCodes
`BELL, BS, CR, DC1, DC2, DC3, DC4, ENQ, EOT, ESC, ETX, FS, GS, HT, LF, LRC, NUL, SOH`

Constructor Summary
`ConvMode(Terminal6530Callback termCallback, Parser parser)`

Method Summary
`void` | `doBackspace()`
`void` | `doCarriageReturn()`
`void` | `doClearAllTabs()`
`void` | `doClearMemoryToSpaces()`
`void` | `doClearTab()`
`void` | `doClickSelect(int row, int col, java.lang.String selectDelims)`
`void` | `doCursorDown()`
`void` | `doCursorHome()`
`void` | `doCursorHomeDown()`
`void` | `doCursorRight()`
`void` | `doCursorToLastCharOnRow()`
`void` | `doCursorToLastCharOnScreen()`
`void` | `doCursorUp()`
`void` | `doDefineEnterKeyFunction(char[] str)`
`void` | `doEraseToEndOfLineOrField()`
`void` | `doEraseToEndOfPageOrMemory()`
`void` | `doHTab()`
`void` | `doLineFeed()`
`void` | `doPageDown()`
`void` | `doPageUp()`
`void` | `doRollDown()`
`void` | `doRollUp()`
`void` | `doSetCursorAddress(boolean displayedPage, int row, int column)` Set cursor position.
`void` | `doSetDefaultVideoAttribute(int attrib)`
`void` | `doSetTab()`
`void` | `doSetVideoAttribute(int attrib)`
`void` | `doTab()`
`int[]` | `getAttribs(int visTop, int row)`
`Screen6530Buffer` | `getBuffer()`
`int` | `getBufferRows()`
`char[]` | `getChars(int visTop, int row)`
`int` | `getCol()`
`int` | `getPage()`
`int` | `getRow()`
`java.lang.String` | `getSelection(java.lang.String eol)`
`int` | `getVisTop()`
`void` | `hostChar(char c)`
`void` | `keyHandler(char c, int virtualKey, int modifiers)`
`void` | `resetClickSelect()`
`void` | `resetSelection()`
`SearchContext` | `search(SearchContext lastContext, java.lang.String key, boolean reverse, boolean caseSens)`
`void` | `selectAll()`
`void` | `setDisplay(DisplayView display)`
`void` | `setEnterKeyFunction(char[] keys)`
`void` | `setHalfDuplex(boolean set)`
`void` | `setLocalTransmitColumn(int col)`
`void` | `setSelection(int row1, int col1, int row2, int col2)`
`void` | `switchReset()`

Methods inherited from class com.mindbright.terminal.tandem6530.ModeBase
`doBackTab, doClearMemoryToSpaces, doDefineDataTypeTable, doDefineFieldAttribute, doDefineVariableTable, doDeleteCharacter, doDeleteLine, doDisableLocalLineEditing, doDisplayPage, doInsertCharacter, doInsertLine, doReadCursorAddress, doReadWholePageOrBuffer, doReadWithAddress, doReadWithAddressAll, doResetMoifiedDataTags, doResetVariableTable, doSelectPage, doSetBufferAddress, doSetMaxPageNumber, doStartField, doStartFieldExtended, getDisplayCols, getDisplayRows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvMode

    public ConvMode(Terminal6530Callback termCallback,
                    Parser parser)

Method Detail

### setHalfDuplex

    public void setHalfDuplex(boolean set)

### setLocalTransmitColumn

    public void setLocalTransmitColumn(int col)

### setEnterKeyFunction

    public void setEnterKeyFunction(char[] keys)

### hostChar

    public void hostChar(char c)

  Specified by:
    `hostChar` in interface `Mode`
  Overrides:
    `hostChar` in class `ModeBase`

### setDisplay

    public void setDisplay(DisplayView display)

  Specified by:
    `setDisplay` in interface `Mode`
  Overrides:
    `setDisplay` in class `ModeBase`

### getVisTop

    public int getVisTop()

  Specified by:
    `getVisTop` in interface `Mode`
  Overrides:
    `getVisTop` in class `ModeBase`

### keyHandler

    public void keyHandler(char c,
                           int virtualKey,
                           int modifiers)

  Specified by:
    `keyHandler` in interface `Mode`
  Overrides:
    `keyHandler` in class `ModeBase`

### switchReset

    public void switchReset()

  Specified by:
    `switchReset` in interface `Mode`
  Overrides:
    `switchReset` in class `ModeBase`

### doBackspace

    public void doBackspace()

  Specified by:
    `doBackspace` in interface `Mode`
  Overrides:
    `doBackspace` in class `ModeBase`

### doHTab

    public void doHTab()

  Specified by:
    `doHTab` in interface `Mode`
  Overrides:
    `doHTab` in class `ModeBase`

### doTab

    public void doTab()

  Specified by:
    `doTab` in interface `Mode`
  Overrides:
    `doTab` in class `ModeBase`

### doLineFeed

    public void doLineFeed()

  Specified by:
    `doLineFeed` in interface `Mode`
  Overrides:
    `doLineFeed` in class `ModeBase`

### doCarriageReturn

    public void doCarriageReturn()

  Specified by:
    `doCarriageReturn` in interface `Mode`
  Overrides:
    `doCarriageReturn` in class `ModeBase`

### doSetCursorAddress

    public void doSetCursorAddress(boolean displayedPage,
                                   int row,
                                   int column)

  Description copied from class: `ModeBase`
  Set cursor position. See 2-6, 3-14.

  Specified by:
    `doSetCursorAddress` in interface `Mode`
  Overrides:
    `doSetCursorAddress` in class `ModeBase`
  Parameters:
    `displayedPage` - true to set cursor position in displayed page
    `row` - row number, starting from 1
    `column` - column number, starting from 1

### doSetTab

    public void doSetTab()

  Specified by:
    `doSetTab` in interface `Mode`
  Overrides:
    `doSetTab` in class `ModeBase`

### doClearTab

    public void doClearTab()

  Specified by:
    `doClearTab` in interface `Mode`
  Overrides:
    `doClearTab` in class `ModeBase`

### doClearAllTabs

    public void doClearAllTabs()

  Specified by:
    `doClearAllTabs` in interface `Mode`
  Overrides:
    `doClearAllTabs` in class `ModeBase`

### doSetVideoAttribute

    public void doSetVideoAttribute(int attrib)

  Specified by:
    `doSetVideoAttribute` in interface `Mode`
  Overrides:
    `doSetVideoAttribute` in class `ModeBase`

### doSetDefaultVideoAttribute

    public void doSetDefaultVideoAttribute(int attrib)

  Specified by:
    `doSetDefaultVideoAttribute` in interface `Mode`
  Overrides:
    `doSetDefaultVideoAttribute` in class `ModeBase`

### doDefineEnterKeyFunction

    public void doDefineEnterKeyFunction(char[] str)

  Specified by:
    `doDefineEnterKeyFunction` in interface `Mode`
  Overrides:
    `doDefineEnterKeyFunction` in class `ModeBase`

### doCursorToLastCharOnScreen

    public void doCursorToLastCharOnScreen()

### doCursorToLastCharOnRow

    public void doCursorToLastCharOnRow()

### doCursorUp

    public void doCursorUp()

  Specified by:
    `doCursorUp` in interface `Mode`
  Overrides:
    `doCursorUp` in class `ModeBase`

### doCursorDown

    public void doCursorDown()

### doCursorRight

    public void doCursorRight()

  Specified by:
    `doCursorRight` in interface `Mode`
  Overrides:
    `doCursorRight` in class `ModeBase`

### doCursorHomeDown

    public void doCursorHomeDown()

  Specified by:
    `doCursorHomeDown` in interface `Mode`
  Overrides:
    `doCursorHomeDown` in class `ModeBase`

### doCursorHome

    public void doCursorHome()

  Specified by:
    `doCursorHome` in interface `Mode`
  Overrides:
    `doCursorHome` in class `ModeBase`

### doRollUp

    public void doRollUp()

  Specified by:
    `doRollUp` in interface `Mode`
  Overrides:
    `doRollUp` in class `ModeBase`

### doRollDown

    public void doRollDown()

  Specified by:
    `doRollDown` in interface `Mode`
  Overrides:
    `doRollDown` in class `ModeBase`

### doPageUp

    public void doPageUp()

  Specified by:
    `doPageUp` in interface `Mode`
  Overrides:
    `doPageUp` in class `ModeBase`

### doPageDown

    public void doPageDown()

  Specified by:
    `doPageDown` in interface `Mode`
  Overrides:
    `doPageDown` in class `ModeBase`

### doClearMemoryToSpaces

    public void doClearMemoryToSpaces()

  Specified by:
    `doClearMemoryToSpaces` in interface `Mode`
  Overrides:
    `doClearMemoryToSpaces` in class `ModeBase`

### doEraseToEndOfLineOrField

    public void doEraseToEndOfLineOrField()

  Specified by:
    `doEraseToEndOfLineOrField` in interface `Mode`
  Overrides:
    `doEraseToEndOfLineOrField` in class `ModeBase`

### doEraseToEndOfPageOrMemory

    public void doEraseToEndOfPageOrMemory()

  Specified by:
    `doEraseToEndOfPageOrMemory` in interface `Mode`
  Overrides:
    `doEraseToEndOfPageOrMemory` in class `ModeBase`

### getChars

    public char[] getChars(int visTop,
                           int row)

  Specified by:
    `getChars` in interface `Mode`
  Overrides:
    `getChars` in class `ModeBase`

### getAttribs

    public int[] getAttribs(int visTop,
                            int row)

  Specified by:
    `getAttribs` in interface `Mode`
  Overrides:
    `getAttribs` in class `ModeBase`

### getBufferRows

    public int getBufferRows()

  Specified by:
    `getBufferRows` in interface `Mode`
  Overrides:
    `getBufferRows` in class `ModeBase`

### getRow

    public int getRow()

  Specified by:
    `getRow` in interface `Mode`
  Specified by:
    `getRow` in class `ModeBase`
  Returns:
    row number, starting at 1

### getCol

    public int getCol()

  Specified by:
    `getCol` in interface `Mode`
  Specified by:
    `getCol` in class `ModeBase`
  Returns:
    column number, starting at 1

### getPage

    public int getPage()

  Specified by:
    `getPage` in interface `Mode`
  Specified by:
    `getPage` in class `ModeBase`
  Returns:
    page number, starting at 1

### doClickSelect

    public void doClickSelect(int row,
                              int col,
                              java.lang.String selectDelims)

  Specified by:
    `doClickSelect` in interface `Mode`
  Overrides:
    `doClickSelect` in class `ModeBase`

### resetClickSelect

    public void resetClickSelect()

  Specified by:
    `resetClickSelect` in interface `Mode`
  Overrides:
    `resetClickSelect` in class `ModeBase`

### setSelection

    public void setSelection(int row1,
                             int col1,
                             int row2,
                             int col2)

  Specified by:
    `setSelection` in interface `Mode`
  Overrides:
    `setSelection` in class `ModeBase`

### selectAll

    public void selectAll()

  Specified by:
    `selectAll` in interface `Mode`
  Overrides:
    `selectAll` in class `ModeBase`

### resetSelection

    public void resetSelection()

  Specified by:
    `resetSelection` in interface `Mode`
  Overrides:
    `resetSelection` in class `ModeBase`

### getSelection

    public java.lang.String getSelection(java.lang.String eol)

  Specified by:
    `getSelection` in interface `Mode`
  Overrides:
    `getSelection` in class `ModeBase`

### search

    public SearchContext search(SearchContext lastContext,
                                java.lang.String key,
                                boolean reverse,
                                boolean caseSens)

  Specified by:
    `search` in interface `Mode`
  Overrides:
    `search` in class `ModeBase`

### getBuffer

    public Screen6530Buffer getBuffer()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD